package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.ClockInfo;
import com.baomidou.mybatisplus.service.IService;
import com.yh.saas.plugin.yiliangyiyun.entity.FuelFillingInfo;

/**
 * <p>
 * 记录打卡信息 服务类
 * </p>
 *
 * @author Gdc
 * @since 2022-06-11
 */
public interface IClockInfoService extends IService<ClockInfo> {

    /**
     * 添加上班打卡信息
     *
     * @param clockInfo
     */
    String addClock(ClockInfo clockInfo);

    /**
     * 打卡记录
     *
     * @param clockInfo
     * @return
     */
    Page<ClockInfo> selectClockInfo(ClockInfo clockInfo);

    /**
     * 考勤记录
     *
     * @param clockInfo
     * @return
     */
    Page<ClockInfo> selectClockInfoPc(ClockInfo clockInfo);

    /**
     * 添加补卡信息
     *
     * @param clockInfo1
     */
    String suppClock(ClockInfo clockInfo1);
    /**
     * 查看补卡信息
     * @param id
     */
    ClockInfo getSuppClock(String id);
}
